Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.misc
Class LINParser

    java.lang.Object
      com.knowgate.misc.LINParser

Direct Known Subclasses:
  FLVParser

    public class LINParser

extends java.lang.Object

Constructor Summary
`LINParser()`
`LINParser(java.lang.String sCharsetName)`

Method Summary
`java.lang.String` | `charSet()`
`void` | `charSet(java.lang.String sCharSetName)`
`java.lang.String` | `getLine(int iRow)`
`int` | `getLineCount()` Get line count
`void` | `parseFile(java.io.File oInFile)`
`void` | `parseFile(java.lang.String sInFile)`
`void` | `parseStream(java.io.InputStream oInStrm)`
`void` | `parseString(java.lang.String sStr)`
`java.lang.String[]` | `splitLine(int iRow, char cDelimiter)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LINParser

    public LINParser()

### LINParser

    public LINParser(java.lang.String sCharsetName)

Method Detail

### charSet

    public java.lang.String charSet()

### charSet

    public void charSet(java.lang.String sCharSetName)

### getLineCount

    public int getLineCount()

  Get line count

  Returns:
    int

### parseString

    public void parseString(java.lang.String sStr)
                     throws java.lang.NullPointerException

  Throws:
    `java.lang.NullPointerException`

### parseStream

    public void parseStream(java.io.InputStream oInStrm)
                     throws java.io.IOException,
                            java.lang.NullPointerException

  Throws:
    `java.io.IOException`
    `java.lang.NullPointerException`

### parseFile

    public void parseFile(java.io.File oInFile)
                   throws java.io.FileNotFoundException,
                          java.io.IOException,
                          java.lang.NumberFormatException,
                          java.lang.ArrayIndexOutOfBoundsException,
                          java.lang.RuntimeException,
                          java.lang.NullPointerException,
                          java.lang.IllegalArgumentException

  Throws:
    `java.io.FileNotFoundException`
    `java.io.IOException`
    `java.lang.NumberFormatException`
    `java.lang.ArrayIndexOutOfBoundsException`
    `java.lang.RuntimeException`
    `java.lang.NullPointerException`
    `java.lang.IllegalArgumentException`

### parseFile

    public void parseFile(java.lang.String sInFile)
                   throws java.io.FileNotFoundException,
                          java.io.IOException,
                          java.lang.NumberFormatException,
                          java.lang.ArrayIndexOutOfBoundsException,
                          java.lang.RuntimeException,
                          java.lang.NullPointerException,
                          java.lang.IllegalArgumentException

  Throws:
    `java.io.FileNotFoundException`
    `java.io.IOException`
    `java.lang.NumberFormatException`
    `java.lang.ArrayIndexOutOfBoundsException`
    `java.lang.RuntimeException`
    `java.lang.NullPointerException`
    `java.lang.IllegalArgumentException`

### getLine

    public java.lang.String getLine(int iRow)
                             throws java.lang.IllegalStateException,
                                    java.lang.ArrayIndexOutOfBoundsException

  Throws:
    `java.lang.IllegalStateException`
    `java.lang.ArrayIndexOutOfBoundsException`

### splitLine

    public java.lang.String[] splitLine(int iRow,
                                        char cDelimiter)
                                 throws java.lang.IllegalStateException,
                                        java.lang.ArrayIndexOutOfBoundsException

  Throws:
    `java.lang.IllegalStateException`
    `java.lang.ArrayIndexOutOfBoundsException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD